--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Create a new XRDS object. Raises ArgumentError if xml_text is malformed or invalid XRDS.
full_name: XRDS::new
is_singleton: true
name: new
params: (xml_text)
visibility: public
